<?xml version="1.0" encoding="utf-8"?>
<androidx.swiperefreshlayout.widget.SwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/background_color"
    tools:context=".dashboard.DashboardFragment">


    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingHorizontal="@dimen/dashboard_fragment_padding_horizontal"
            android:paddingVertical="@dimen/dashboard_fragment_padding_vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:paddingHorizontal="16dp"
                android:paddingVertical="22dp"
                android:visibility="visible">

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/titleDev"
                    style="@style/TextHeavy20"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/processor"
                    tools:ignore="RelativeOverlap" />

                <include
                    android:id="@+id/text0"
                    layout="@layout/common_text_style" />
                <include
                    android:id="@+id/text1"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/text2"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/text3"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/text4"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/text5"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/text6"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/text7"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/text8"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/text9"
                    layout="@layout/common_text_style" />

                <TextView
                    android:id="@+id/cpuBtn"
                    style="@style/TextDialogSubTitle"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="21dp"
                    android:background="@drawable/hard_bg"
                    android:paddingHorizontal="12dp"
                    android:paddingVertical="8dp"
                    android:textSize="14sp"
                    android:textStyle="normal"
                    android:text="@string/cpu_analysis"
                    android:textAlignment="center"
                    android:textColor="@color/module_title_color" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:paddingHorizontal="16dp"
                android:paddingVertical="22dp"
                android:visibility="visible">

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/titleGPU"
                    style="@style/TextHeavy20"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/gpu"
                    tools:ignore="RelativeOverlap" />

                <include
                    android:id="@+id/cpu_text1"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/cpu_text2"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/cpu_text3"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/cpu_text4"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/cpu_text5"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/cpu_text6"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/cpu_text7"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/cpu_text8"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/cpu_text9"
                    layout="@layout/common_text_style" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/open1"
                        style="@style/LeftContent"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:text="@string/model" />
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">
                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/openItem1"
                            style="@style/LeftContent"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/apps"
                            android:textColor="@color/right_color"
                            tools:ignore="RelativeOverlap" />
                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/openItem2"
                            style="@style/LeftContent"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/apps"
                            android:textColor="@color/right_color"
                            tools:ignore="RelativeOverlap" />
                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/openItem3"
                            style="@style/LeftContent"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/apps"
                            android:textColor="@color/right_color"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/llPubShow"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="vertical"
                    android:visibility="visible">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/extension1"
                        style="@style/LeftContent"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/extensions"
                        android:textStyle="bold" />
                    <TextView
                        android:id="@+id/extensionShow"
                        style="@style/TextButteryRight"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="21dp"
                        android:background="@drawable/hard_bg"
                        android:paddingHorizontal="12dp"
                        android:paddingVertical="8dp"
                        android:textSize="14sp"
                        android:textStyle="normal"
                        android:text="@string/show"
                        android:textAlignment="center"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
            </LinearLayout>
<!--            simple-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:padding="15dp"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/titleDis"
                        style="@style/TextHeavy20"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/display"
                        tools:ignore="RelativeOverlap" />

                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_width="23dp"
                        android:layout_height="23dp"
                        android:layout_gravity="center_vertical"
                        android:src="@mipmap/setting" />
                </LinearLayout>

                <include
                    android:id="@+id/disText1"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/disText2"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/disText3"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/disText4"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/disText5"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/disText6"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/disText7"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/disText8"
                    layout="@layout/common_text_style" />

            </LinearLayout>
            <include
                android:id="@+id/memory_layout"
                android:layout_width="match_parent"
                layout="@layout/hard_memory"
                android:layout_height="wrap_content"/>

          <include
              android:id="@+id/bluetooth_layout"
              android:layout_width="match_parent"
              layout="@layout/hard_bluetooth"
              android:layout_height="wrap_content"/>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:padding="15dp"
                    android:paddingTop="15dp">

                    <com.google.android.material.textview.MaterialTextView
                        style="@style/TextHeavy20"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/audio"
                        tools:ignore="RelativeOverlap" />

                    <include
                        android:id="@+id/check1"
                        layout="@layout/common_check_style" />

                    <include
                        android:id="@+id/check2"
                        layout="@layout/common_check_style" />

                    <include
                        android:id="@+id/check3"
                        layout="@layout/common_check_style" />

                    <com.google.android.material.textview.MaterialTextView
                        style="@style/LeftContent"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:text="@string/codecs"
                        android:textSize="16sp"
                        android:textColor="@color/left_color" />

                    <com.google.android.material.textview.MaterialTextView
                        style="@style/LeftContent"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="16sp"
                        android:text="gsm, aac, mlaw, flac, raw, opus, decoder, alaw, encoder, amrnb, mp3, h263, h264, hevc, amrwb, mpeg4, vorbis, vp9, vp8"
                        android:textColor="@color/right_color"
                        android:textStyle="normal" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:padding="15dp"
                android:visibility="visible">

                <com.google.android.material.textview.MaterialTextView
                    style="@style/TextHeavy20"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/other"
                    tools:ignore="RelativeOverlap" />

                <include
                    android:id="@+id/otherCheck1"
                    layout="@layout/common_check_style" />

                <include
                    android:id="@+id/otherCheck2"
                    layout="@layout/common_check_style" />

                <include
                    android:id="@+id/otherCheck3"
                    layout="@layout/common_check_style" />

                <include
                    android:id="@+id/otherCheck4"
                    layout="@layout/common_check_style" />

                <include
                    android:id="@+id/otherCheck5"
                    layout="@layout/common_check_style" />

                <include
                    android:id="@+id/otherCheck6"
                    layout="@layout/common_check_style" />

                <include
                    android:id="@+id/otherCheck7"
                    layout="@layout/common_check_style" />

                <include
                    android:id="@+id/otherCheck8"
                    layout="@layout/common_check_style" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        style="@style/LeftContent"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/input_devices"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/othertext"
                        style="@style/TextButteryRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingHorizontal="10dp"
                        android:text="@string/show"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</androidx.swiperefreshlayout.widget.SwipeRefreshLayout>